Namespaces | Functions
IWORKTransformation.h File Reference
`#include <cassert>`
`#include <glm/glm.hpp>`
`#include "libetonyek_utils.h"`

Go to the source code of this file.

## Namespaces
| libetonyek
| libetonyek::transformations
| Special transformation constructors.

## Functions
glm::dmat3 | libetonyek::makeTransformation (const IWORKGeometry &geometry)
| Create a transformation from a geometry. More...
glm::dmat3 | libetonyek::transformations::center (double width, double height)
| Translate to the center of viewport. More...
glm::dmat3 | libetonyek::transformations::origin (double width, double height)
| Translate from the center of viewport to the origin. More...
glm::dmat3 | libetonyek::transformations::flip (bool horizontal, bool vertical)
| Flip horizontally and/or vertically. More...
glm::dmat3 | libetonyek::transformations::rotate (double angle)
| Rotate counterclockwise around origin. More...
glm::dmat3 | libetonyek::transformations::scale (double ratioX, double ratioY)
| Scale along `x` and/or `y` axis. More...
glm::dmat3 | libetonyek::transformations::shear (double angleX, double angleY)
| Shear along `x` and/or `y` axis. More...
glm::dmat3 | libetonyek::transformations::translate (double offsetX, double offsetY)
| Translate along `x` and/or `y` axis. More...